Bug 1128343 - Review Request: sunflow - A rendering system for photo-realistic image synthesis
Summary: Review Request: sunflow - A rendering system for photo-realistic image synthesis
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-08-09 09:50 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2016-08-04 15:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-24 12:14:54 UTC


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2014-08-09 09:50:10 UTC
Spec URL: https://rathann.fedorapeople.org/review/sunflow/sunflow.spec
SRPM URL: https://rathann.fedorapeople.org/review/sunflow/sunflow-0.07.2-1.fc20.src.rpm
Description: 
Sunflow is an open source rendering system for photo-realistic image synthesis.
It is written in Java and built around a flexible ray tracing core and an
extensible object-oriented design.

Fedora Account System Username: rathann

Comment 1 gil cattaneo 2014-08-09 16:09:15 UTC
available a new release (0.07.3) @ https://github.com/skrat/sunflow/

Other issues:
 - please, remove versioned JAR
   http://fedoraproject.org/wiki/Packaging:Java#JAR_file_installation
 - please, provides maven depmap and pom file
   pom file is available  @ https://github.com/psiegman/mvn-repo/blob/master/snapshots/org/sunflow/sunflow/0.07.3/sunflow-0.07.3.pom
 use BuildRequires:  javapackages-local instead
 and use for e.g.

%prep

in this case 
%mvn_file org.sunflow:sunflow %{name}

%build
ant -Dsunflow.libs=$(build-classpath janino) jars
ant -Dsunflow.libs=$(build-classpath janino) javadoc

assuming that the pom file corresponds to S:3
%mvn_artifact %{SOURCE3} release/%{name}.jar

%install
%mvn_install -J release/javadoc

....

%files -f .mfiles
%doc CHANGELOG LICENSE README
%{_bindir}/sunflow
%{_datadir}/icons/hicolor/128x128/apps/sunflow.png
%{_datadir}/applications/sunflow.desktop

%files javadoc -f .mfiles-javadoc

all references and samples available @ https://fedorahosted.org/released/javapackages/doc/#helper_macros

Comment 2 gil cattaneo 2014-08-09 16:17:59 UTC
Ops... forgot ...
use 
find . -name '*.jar' -delete
find . -name '*.class' -delete
for must be sure there aren't pre-built libraries or classes

Comment 3 Dominik 'Rathann' Mierzejewski 2014-08-12 09:18:54 UTC
Spec URL: https://rathann.fedorapeople.org/review/sunflow/sunflow.spec
SRPM URL: https://rathann.fedorapeople.org/review/sunflow/sunflow-0.07.3-0.1.20140412git4f5017f.fc20.src.rpm

* Tue Aug 12 2014 Dominik Mierzejewski <rpm@greysector.net> 0.07.3-0.1.20140412git4f5017f
- switch to new upstream https://github.com/skrat/sunflow
- use pom file

There are no pre-built .class files and the only .jar is the bundled janino.jar, which is removed in %prep already. Thanks for the info about new upstream, Gil.

Comment 4 gil cattaneo 2014-08-12 13:17:20 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package must own all directories that it creates.
  Note: Directories without known owners: /usr/share/java/sunflow

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v2 or later) (with incorrect FSF address)", "GPL (v2
     or later)", "Unknown or generated". 244 files have unknown license.
     Detailed output of licensecheck in
     /home/gil/1128343-sunflow/licensecheck.txt
NOTE: Incorrect FSF address found in license file and headers in source code.
  Upstream should be informed about this.
  sunflow-4f5017fd7c7140296188b3d63ee844762a70b3f7/exporters/blender/sunflow_export.py
[?]: License file installed when any subpackage combination is installed.
   Original GPL license is available @ http://www.gnu.org/licenses/gpl.txt
   the file installed is not a valid license file
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/java/sunflow
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/java/sunflow
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
     Please, remove all Requires (managed by XMvn)
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in sunflow
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     https://codeload.github.com/skrat/sunflow/zip/4f5017fd7c7140296188b3d63ee844762a70b3f7
     #/sunflow-4f5017fd7c7140296188b3d63ee844762a70b3f7.zip
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[?]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
     See above
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in sunflow-
     javadoc
[x]: Package functions as described.
[x]: Latest version is packaged.
[?]: Package does not include license text files separate from upstream.
     See above
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: sunflow-0.07.3-0.1.20140412git4f5017f.fc22.noarch.rpm
          sunflow-javadoc-0.07.3-0.1.20140412git4f5017f.fc22.noarch.rpm
          sunflow-0.07.3-0.1.20140412git4f5017f.fc22.src.rpm
sunflow.noarch: W: no-manual-page-for-binary sunflow

sunflow.src: E: specfile-error mvn_install: invalid option -- 'J'
sunflow.src: E: specfile-error error: Unknown option J in mvn_install()
  IGNORE
3 packages and 0 specfiles checked; 2 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint sunflow-javadoc sunflow
sunflow.noarch: W: no-manual-page-for-binary sunflow
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
sunflow-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

sunflow (rpmlib, GLIBC filtered):
    /bin/sh
    janino
    java-headless
    javapackages-tools
    jpackage-utils
    mvn(org.codehaus.janino:janino)



Provides
--------
sunflow-javadoc:
    sunflow-javadoc

sunflow:
    application()
    application(sunflow.desktop)
    mvn(org.sunflow:sunflow)
    mvn(org.sunflow:sunflow:pom:)
    sunflow



Source checksums
----------------
https://raw.githubusercontent.com/psiegman/mvn-repo/master/snapshots/org/sunflow/sunflow/0.07.3/sunflow-0.07.3.pom :
  CHECKSUM(SHA256) this package     : bed96a52926e1c181bf60bac72d9c0b14ab48ff1a121513ac6156c3787657cdd
  CHECKSUM(SHA256) upstream package : bed96a52926e1c181bf60bac72d9c0b14ab48ff1a121513ac6156c3787657cdd


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1128343 -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 gil cattaneo 2015-12-22 18:10:56 UTC
Leave this review to other

Comment 6 Dominik 'Rathann' Mierzejewski 2016-06-24 12:14:54 UTC
No longer interested in this package. Thanks for the review effort anyway.

Comment 7 jiri vanek 2016-08-04 15:40:38 UTC
Just for possible followers:

there is bug in launcher - missing  sunflow on classapth and typo inmain class - should be lowercase "f".


Note You need to log in before you can comment on or make changes to this bug.